Package org.apache.sysds.runtime.controlprogram.federated.monitoring.controllers

# Interface IController

All Known Implementing Classes:
  `CoordinatorController`, `StatisticsController`, `WorkerController`

public interface IController

## Method Summary

Modifier and Type
Method
Description
`io.netty.handler.codec.http.FullHttpResponse`
`create(Request request)`
`io.netty.handler.codec.http.FullHttpResponse`
`delete(Request request, Long objectId)`
`io.netty.handler.codec.http.FullHttpResponse`
`get(Request request, Long objectId)`
`io.netty.handler.codec.http.FullHttpResponse`
`getAll(Request request)`
`io.netty.handler.codec.http.FullHttpResponse`
`update(Request request, Long objectId)`

## Method Details

### create

io.netty.handler.codec.http.FullHttpResponse create(Request request)

### update

io.netty.handler.codec.http.FullHttpResponse update(Request request, Long objectId)

### delete

io.netty.handler.codec.http.FullHttpResponse delete(Request request, Long objectId)

### get

io.netty.handler.codec.http.FullHttpResponse get(Request request, Long objectId)

### getAll

io.netty.handler.codec.http.FullHttpResponse getAll(Request request)